fflas-ffpack (2.5.0-3) unstable; urgency=medium

  * debian/clean
    - Clean additional auto-generated files (Closes: #1045132).
  * debian/patches/do-not-cp-INSTALL-or-COPYING.patch
    - Add Forwarded DEP-3 tag (no).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 22 Aug 2023 09:19:03 -0400

fflas-ffpack (2.5.0-2) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Bump my copyright years.
  * debian/gbp.conf
    - Set debian-branch to debian/latest as recommended by DEP-14.
  * debian/watch
    - Update download URL to GitHub API and use searchmode "plain" to
      search through the corresponding JSON.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + fflas-ffpack-common, fflas-ffpack-dev-doc, fflas-ffpack-user-doc:
      Add Multi-Arch: foreign.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 04 Jan 2023 20:15:41 -0500

fflas-ffpack (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/gbp.conf
    - Fix debian-branch (master, not debian/master, on Salsa).
  * debian/tests/upstream-tests
    - Skip the tests that we also skip during dh_auto_test; see
      d/p/skip-failing-tests.patch.
  * debian/salsa-ci.yml
    - Stop setting RELEASE to 'experimental'.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 16 Dec 2021 06:51:49 -0500

fflas-ffpack (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Update my email address; now a Debian Developer.
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (science-team -> math-team).
  * debian/copyright
    - Add myself to copyright holders for debian/*.
    - Convert leading tabs to spaces.
  * debian/gbp.conf
    - New file; set debian-branch and pristine-tar.
  * debian/patches/skip-failing-tests.patch
    - Refresh for new upstream release.
  * debian/rules
    - Remove DH_VERBOSE cruft.
  * debian/rules
    - Add --without-archnative option to configure; disables
      -march=native/-mcpu=native.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Dec 2021 22:41:46 -0500

fflas-ffpack (2.5.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Bump versioned dependencies on libgivaro-dev to 4.1.2.
    - Bump Standards-Version to 4.6.0.
  * debian/patches/reproducible-build.patch
    - Remove patch; applied upstream.
  * debian/patches/skip-failing-tests.patch
    - Renamed from d/p/no-test-echelon.patch; includes other failing tests
      (test-charpoly-check, test-fsytrf, and test-fsyrk).
  * debian/rules
    - Stop passing various options to configure script to disable
      instruction sets; these options have been removed upstream.
  * debian/salsa-ci.yml
    - Set RELEASE to 'experimental' for now.
  * debian/watch
    - Use @ANY_VERSION@ special string in regular expression; previously we
      only matched versions with numeric characters.
    - Add uversionmangle option to insert tilde for release candidates.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 24 Aug 2021 10:34:08 -0400

fflas-ffpack (2.4.3-2) unstable; urgency=medium

  * debian/compat
    - Remove file; no longer necessary.
  * debian/control
    - Use debhelper-compat in Build-Depends and bump compatibility
      level to 13.
    - Add jdupes to Build-Depends.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
  * debian/fflas-ffpack-user-doc.examples
    - New file; install examples.
  * debian/patches/no-test-echelon.patch
    - New patch; skip failing test (Closes: #967088).
  * debian/patches/reproducible-build.patch
    - New patch; remove CXXFLAGS from fflas-ffpack-config script for
      reproducibility.
  * debian/rules
    - Remove override_dh_autoreconf target; it was patching out some
      tests that were failing on big-endian 32-bit architectures, but
      this issue was fixed upstream with the release of version 2.4.3.
    - Call jdupes after building documentation to symlink duplicate files.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/upstream-tests
    - Add new tests introduced in 2.4.3 and skip test-echelon.
    - Clean test directory before building tests during autopkgtest.
      If they were still present from the build, then the tests wouldn't
      build and autopkgtest would fail.
  * debian/upstream/metadata
    - Add Repository and Bug-Database fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 04 Sep 2020 14:34:02 -0400

fflas-ffpack (2.4.3-1) unstable; urgency=medium

  * Team upload.

  [ Doug Torrance ]
  * debian/control
    - Remove Lifeng Sun from Uploaders (Closes: #925120).

  [ Tobias Hansen ]
  * New upstream release.
  * Remove fix-fgemm-check-tests.patch (applied upstream).
  * Build-Depend on libgivaro-dev (>= 4.1.1).

 -- Tobias Hansen <thansen@debian.org>  Wed, 11 Sep 2019 14:55:43 +0200

fflas-ffpack (2.3.2-3) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.2.1.
  * debian/copyright
    - Remove paragraph for fflas-ffpack/utils/print-utils.h; file no longer
      exists.
  * debian/docs
    - Remove nonexistent NEWS.
  * debian/fflas-ffpack-*-doc.doc-base
    - Update paths to documentation.
  * debian/fflas-ffpack-*-doc.docs
    - Install documentation subdirectories instead of files within these
      subdirectories.  Since both documentation packages now install to
      /usr/share/fflas-ffpack, we do not want any file conflicts.
  * debian/fflas-ffpack-*-doc.lintian-overrides
    - Remove files; as of v2.5.57, lintian no longer warns when there are
      embedded jQuery libraries for Doxygen.
  * debian/patches/do-not-cp-INSTALL-or-COPYING.patch
    - Rename patch from do-not-fail-cp-INSTALL.patch.  We also do not copy
      COPYING as the extra copies resulted in extra-license-file lintian
      warnings.
  * debian/patches/fix-fgemm-check-tests.patch
    - New patch replacing skip-fgemm-check-tests.patch; fix for failing tests
      from upstream git.
  * debian/patches/fix-file-path-in-doc.patch
    - Remove patch; no longer necessary as our documentation directory
      structure matches upstream's.
  * debian/rules
    - Disable SSE and SSE2 on i386 (Closes: #907010).
    - Skip failing tests on big-endian 32-bit architectures (Closes: #902753).
    - New override_dh_installdocs target; install all docs to
      /usr/share/doc/fflas-ffpack as suggested in Debian Policy section 12.3.
  * debian/upstream/metadata
    - New DEP-12 file with citation information.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 02 Oct 2018 20:19:30 -0400

fflas-ffpack (2.3.2-2) unstable; urgency=medium

  * debian/tests/upstream-tests
    - Fix typo in test name (Closes: #902441).
    - Remove test-interfaces-c since we don't precompile the standard
      specializations.
    - Create directory needed by test-io.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 Jun 2018 00:57:05 -0400

fflas-ffpack (2.3.2-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:15:09 +0200

fflas-ffpack (2.3.2-1~exp3) experimental; urgency=medium

  * Team upload.
  * Enable OpenMP, SSE and SSE2.
  * Depend on latest givaro revision.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 15:06:43 +0200

fflas-ffpack (2.3.2-1~exp2) experimental; urgency=medium

  * debian/control
    - Add libgivaro-dev (>= 4.0.3) to Depends (Closes: #894905).
    - Add note about the versioned dependency to help avoid this mistake
      in the future.
    - Bump Standards-Version to 4.1.4.
  * debian/rules
    - Replace the --disable-simd configure option, which has been removed,
      with options to disable each individual instruction set.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 05 Apr 2018 09:31:18 -0400

fflas-ffpack (2.3.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Update Vcs-* after migration to Salsa.
    - Bump versioned dependency on debhelper to >= 10.
    - Remove dh-autoreconf from Build-Depends; automatic with
      debhelper 10.
    - Remove max versioned dependency on libgivaro-dev and bump
      min to 4.0.3.
    - Bump Standards-Version to 4.1.3.
  * debian/fflas-ffpack*.install
    - Adjust installed header files.
  * debian/patches
    - Remove patches which have been merged upstream.
    - skip-fgemm-check-tests.patch: Skip tests which fail due to
      an unresolved upstream issue.
  * debian/rules
    - Remove call to dh-autoreconf; now automatic with debhelper 10.
  * debian/tests/upstream-tests
    - Add new tests.
    - No longer need to specify path to include Mathio.h.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 10 Jan 2018 18:04:29 -0500

fflas-ffpack (2.2.2-5) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.0.0.
    - Switch build dependency on texlive-math-extra to texlive-science
      (Closes: #867086).
  * debian/patches/add-include-functional-to-test-utils.h.patch
    - New patch; fixes FTBFS with GCC 7 (Closes: #853399).
  * debian/rules
    - Remove -fno-strict-aliasing from CXXFLAGS; it ended up not helping
      the armel build.
  * debian/tests/upstream-tests
    - Add new tests included in version 2.2.2.
    - Simplify by using implicit make rules.
    - Add allow-stderr to Restrictions.  The tests output logs to stderr,
      causing false positives.
    - Don't redirect stdout to /dev/null; may provide useful information.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 11 Jul 2017 07:12:49 -0400

fflas-ffpack (2.2.2-4) unstable; urgency=medium

  * debian/rules
    - Add -fno-strict-aliasing to CXXFLAGS; fixes FTBFS on armel.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 08 Jan 2017 13:22:58 -0500

fflas-ffpack (2.2.2-3) unstable; urgency=medium

  * Team upload.
  * Add fix_ftbfs_bigendian.patch:
    Apply patch from upstream pull request #72 to fix FTBFS
    on big endian architectures. (Closes: #840454)
  * Add patch do-not-fail-cp-INSTALL.patch:
    This file may not exist leading to FTBFS.

 -- Tobias Hansen <thansen@debian.org>  Sat, 07 Jan 2017 10:52:32 +0100

fflas-ffpack (2.2.2-2) unstable; urgency=medium

  * debian/fflas-ffpack-common.install
    - Add new checkers directory.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 02 Sep 2016 23:31:15 -0400

fflas-ffpack (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Builds with givaro 4.0.2 (Closes: #835759).
  * debian/control
    - Bump maximum version of libgivaro-dev in Build-Depends to 4.0.3.
    - Add pkg-config to Build-Depends.
  * debian/docs
    - Rename README to README.md.
  * debian/patches/pkg-config-bad-directive.patch
    - Refresh for new version.
  * debian/patches/skip-test-ftrsm.patch
    - New patch; skips failing test.
  * debian/rules
    - Replace --disable-{avx,sse} options to dh_auto_configure with
      --disable-simd.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 30 Aug 2016 19:29:47 -0400

fflas-ffpack (2.2.1-2) unstable; urgency=medium

  * debian/rules
    - Disable processor extensions. May be present at build but not runtime
      (Closes: #833846).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 09 Aug 2016 08:47:36 -0400

fflas-ffpack (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Tidy packaging with wrap-and-sort.
  * debian/clean
    - New file; clean generated files.
  * debian/{compat,control}
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Add myself to Uploaders.
    - Remove DM-Upload-Allowed..
    - Bump Standards-Version to 3.9.8.
    - Update Homepage and Vcs-*.
    - Update versioned dependencies on libgivaro-dev.
    - Fix typo (Closes: #745298).
  * debian/{control,rules}
    - Switch from autotools-dev to dh-autoreconf.
  * debian/copyright
    - Update Format and Source.
    - Remove files which no longer exist.
  * debian/fflas-ffpack.install
    - Install pkg-config file.
    - Install config.h.
  * debian/fflas-ffpack-common.install
    - Remove fflas-ffpack-configuration.h; file no longer exists.
    - Install fflas-ffpack/paladin directory.
  * debian/fflas-ffpack-{dev,user}-doc.lintian-overrides
    - Override embedded-javascript-library for jquery embedded by doxygen.
  * debian/patches/fix-file-path-in-doc.patch
    - Refresh for new release.
    - Add DEP3 header.
  * debian/patches/pkg-config-bad-directive.patch
    - New patch; avoid pkg-config-bad-directive Lintian error by not shipping
      all the compiler flags used when building fflas-ffpack in the pkg-config
      file.
  * debian/rules
    - Specify BLAS and LAPACK LIBS.
  * debian/tests
    - Add autopkgtest support.
  * debian/watch
    - Bump to version 4 and update download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 19 Jul 2016 14:44:40 -0400

fflas-ffpack (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #676946)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 17 Jun 2012 21:23:22 +0800
